Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ServiceLevelParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ServiceLevelParams

    public class ServiceLevelParams

extends Object

Represents the parameters used for estimating the service level.

Field Summary
`protected NonNegativeDurationArray` | `awt`
`protected String` | `name`
`protected DoubleArray` | `target`

Constructor Summary
`ServiceLevelParams()`

Method Summary
`NonNegativeDurationArray` | `getAwt()` Gets the value of the awt property.
`String` | `getName()` Gets the value of the name property.
`DoubleArray` | `getTarget()` Gets the value of the target property.
`boolean` | `isSetAwt()`
`boolean` | `isSetName()`
`boolean` | `isSetTarget()`
`void` | `setAwt(NonNegativeDurationArray value)` Sets the value of the awt property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setTarget(DoubleArray value)` Sets the value of the target property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### awt

    protected NonNegativeDurationArray awt

### target

    protected DoubleArray target

### name

    protected String name

Constructor Detail

### ServiceLevelParams

    public ServiceLevelParams()

Method Detail

### getAwt

    public NonNegativeDurationArray getAwt()

  Gets the value of the awt property.

  Returns:
    possible object is `NonNegativeDurationArray`

### setAwt

    public void setAwt(NonNegativeDurationArray value)

  Sets the value of the awt property.

  Parameters:
    `value` - allowed object is `NonNegativeDurationArray`

### isSetAwt

    public boolean isSetAwt()

### getTarget

    public DoubleArray getTarget()

  Gets the value of the target property.

  Returns:
    possible object is `DoubleArray`

### setTarget

    public void setTarget(DoubleArray value)

  Sets the value of the target property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetTarget

    public boolean isSetTarget()

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.